Package org.zkoss.stateless.sul

## Interface IFormatInputElement<I extends IFormatInputElement,​ValueTypeT>

- All Superinterfaces:
    `IChildrenOfInputgroup<I>`, `IComponent<I>`, `IHtmlBasedComponent<I>`, `IInputElement<I,​ValueTypeT>`, `IReadonly<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IDatebox`, `IDateTimeFormatInputElement<I>`, `IDecimalbox`, `IDoublebox`, `IDoublespinner`, `IIntbox`, `ILongbox`, `INumberInputElement<I,​ValueTypeT>`, `ISpinner`, `ITimebox`, `ITimepicker`

      public interface IFormatInputElement<I extends IFormatInputElement,​ValueTypeT>
      extends IInputElement<I,​ValueTypeT>

  Immutable `FormatInputElement` interface.

  A skeletal implementation for an input box with format.

  Author:
    katherine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFormat()` | Returns the format of the input component.
    `I` | `withFormat​(java.lang.String format)` | Returns a copy of `this` immutable component with the specified `format`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IInputElement

      `getCols, getConstraint, getErrorboxIconSclass, getErrorboxSclass, getErrorMessage, getInputAttributes, getInstant, getMaxlength, getName, getPlaceholder, getValue, isDisabled, isInplace, withCols, withConstraint, withDisabled, withErrorboxIconSclass, withErrorboxSclass, withErrorMessage, withInplace, withInputAttributes, withInstant, withMaxlength, withName, withPlaceholder, withValue`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IReadonly

      `isReadonly, withReadonly`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getFormat

          @Nullable
          java.lang.String getFormat()

      Returns the format of the input component.

      Default: `null` (used what is defined in the inherited implementation).

    - #### withFormat

          I withFormat​(@Nullable
                       java.lang.String format)

      Returns a copy of `this` immutable component with the specified `format`.

      Sets the format to the input component.

      Parameters:
        `format` - The format of the input component (used what is defined in the inherited implementation).

        Default: `null`.

      Returns:
        A modified copy of the `this` object